0 Replies Latest reply on Aug 2, 2017 3:06 AM by Daniel Maier

    Wildfly10: Required services that are not installed

    Daniel Maier Newbie

      Hello,

       

       

      we are trying to upgrade von Wildfly 8.2.0 to Wildfly 10.1.0.

      We exchanged jacorb for iiop-openjdk and org.jboss.as.messaging for org.wildfly.extension.messaging-activemq.

       

       

      But now we are getting the following error message:

       

      ERROR [org.jboss.as.controller.management-operation] (Controller Boot Thread) WFLYCTL0013: Operation ("deploy") failed - address: ([("deployment" => "LinoTCsiteJobServer.ear")]) - failure description: {

          "WFLYCTL0412: Required services that are not installed:" => [

              "jboss.deployment.subunit.\"LServer.ear\".\"jobserver-custom-0.0.1-SNAPSHOT.jar\".beanmanager",

              "jboss.naming.context.java.comp.LJobServer.\"jobserver-custom-0.0.1-SNAPSHOT\".DataCollectionHandler",

              "jboss.deployment.subunit.\"LJobServer.ear\".\"jobserver-ws-0.0.1-SNAPSHOT.jar\".deploymentCompleteService",

              "jboss.deployment.subunit.\"LJobServer.ear\".\"jobserver-ws-0.0.1-SNAPSHOT.jar\".beanmanager",

              "jboss.naming.context.java.comp.LJobServer.\"jobserver-ws-0.0.1-SNAPSHOT\".DAServerServiceWS",

              "jboss.naming.context.java.comp.LJobServer.\"jobserver-custom-0.0.1-SNAPSHOT\".ResultInitHandler",

              "jboss.deployment.subunit.\"LJobServer.ear\".\"jobserver-custom-0.0.1-SNAPSHOT.jar\".deploymentCompleteService",

              "jboss.ra.activemq-rar",

              "jboss.naming.context.java.JmsXA",

              "jboss.naming.context.java.comp.LJobServer.\"jobserver-custom-0.0.1-SNAPSHOT\".ResultFinishHandler"

          ]

       

       

      Any help would be greatly appriateted.